LibMysqlClient error

Discussion in 'Installation/Configuration' started by stef157, Aug 6, 2017.

  1. stef157

    stef157 Member

    Hi All,
    I just upgrade mariaDB and get in trouble.

    This is the error I get :
    apache2: Syntax error on line 244 of /etc/apache2/apache2.conf: Syntax error on line 1 of /etc/apache2/mods-enabled/auth_mysql.load: Cannot load /usr/lib/apache2/modules/ into server: /usr/lib/apache2/modules/ symbol make_scrambled_password, version libmysqlclient_18 not defined in file with link time reference
    I create a symbolic link but the error is still there (ln -s /usr/lib/x86_64-linux-gnu/ /usr/lib/

    Any idea how to solve this ?

    Kind regards,
  2. stef157

    stef157 Member

    Problem solved.

    MariaDB 10.2 has changed his lib mysql client and "make_scrambled_password" is not anymore there.

    So, I've deleted mod_mysql.
    => Can be marqued as resolved.
    Last edited: Aug 13, 2017

Share This Page